MENU_PATTERN(3)

NAME
menu_pattern, set_menu_pattern - get or set menu pattern

LIBRARY
libmenu

SYNOPSIS
#include <menu.h>
char *
menu_pattern(MENU *menu);

DESCRIPTION
The menu_pattern() function returns a pointer to the string that is currently in the menu pattern buffer. The menu pattern buffer can be set by calling set_menu_pattern() which will set the pattern buffer to the string passed and then attempt to match that string against the names of the items in the attached items.

RETURN VALUES
The functions return one of the following error values:

E_OK
    The function was successful.
E_SYSTEM_ERROR
    There was a system error during the call.
E_BAD_ARGUMENT
    One or more of the arguments passed to the function was incorrect.
E_NO_MATCH
    The character search failed to find a match.

SEE ALSO
curses(3), menus(3)

NOTES
The header menu.h automatically includes both curses.h and eti.h.